Package ru.bitel.oss.systems.inventory.product.common.bean

# Class Product

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.oss.systems.inventory.product.common.bean.Product

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Cloneable`, `Idable`

    public class Product
    extends Id
    implements java.lang.Cloneable

See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static short` | `STATE_DISABLED` |
  `static short` | `STATE_ENABLED` |
  `static short` | `STATE_NULL` |
  `static short` | `STATE_REMOVED` |

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Product()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `Product` | `clone()` |
  `int` | `getAccountId()` |
  `int` | `getActivationModeId()` |
  `java.math.BigDecimal` | `getActivationPrice()` | Предустановленная цена (не из тарифа).
  `java.util.Date` | `getActivationTime()` |
  `java.lang.String` | `getComment()` |
  `int` | `getContractId()` |
  `java.util.Date` | `getDeactivationTime()` |
  `java.lang.String` | `getDescription()` |
  `java.lang.String` | `getDeviceProductId()` |
  `short` | `getDeviceState()` |
  `int` | `getProductSpecId()` |
  `java.lang.String` | `getProductSpecTitle()` |
  `java.util.List<Service>` | `getServiceList()` |
  `java.util.Date` | `getSubscriptionTimeFrom()` |
  `java.util.Date` | `getSubscriptionTimeTo()` |
  `java.util.Date` | `getTimeFrom()` |
  `java.util.Date` | `getTimeTo()` |
  `int` | `getUserId()` |
  `void` | `setAccountId​(int accountId)` |
  `void` | `setActivationModeId​(int activationMode)` |
  `void` | `setActivationPrice​(java.math.BigDecimal activationCost)` |
  `void` | `setActivationTime​(java.util.Date activationTime)` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setContractId​(int contractId)` |
  `void` | `setDeactivationTime​(java.util.Date deactivationTime)` |
  `void` | `setDescription​(java.lang.String description)` |
  `void` | `setDeviceProductId​(java.lang.String deviceProductId)` |
  `void` | `setDeviceState​(short deviceState)` |
  `void` | `setProductSpecId​(int specId)` |
  `void` | `setProductSpecTitle​(java.lang.String specTitle)` |
  `void` | `setServiceList​(java.util.List<Service> serviceList)` |
  `void` | `setSubscriptionTimeFrom​(java.util.Date subscriptionTimeFrom)` |
  `void` | `setSubscriptionTimeTo​(java.util.Date subscriptionTimeTo)` |
  `void` | `setTimeFrom​(java.util.Date timeFrom)` |
  `void` | `setTimeTo​(java.util.Date timeTo)` |
  `void` | `setUserId​(int userId)` |
  `java.lang.String` | `toString()` |

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### STATE_NULL

    public static final short STATE_NULL
    See Also:
      Constant Field Values

  - ### STATE_REMOVED

    public static final short STATE_REMOVED
    See Also:
      Constant Field Values

  - ### STATE_DISABLED

    public static final short STATE_DISABLED
    See Also:
      Constant Field Values

  - ### STATE_ENABLED

    public static final short STATE_ENABLED
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### Product

    public Product()

- ## Method Details

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId​(int contractId)

  - ### getAccountId

    public int getAccountId()

  - ### setAccountId

    public void setAccountId​(int accountId)

  - ### setProductSpecId

    public void setProductSpecId​(int specId)

  - ### setProductSpecTitle

    public void setProductSpecTitle​(java.lang.String specTitle)

  - ### getTimeFrom

    public java.util.Date getTimeFrom()

  - ### setTimeFrom

    public void setTimeFrom​(java.util.Date timeFrom)

  - ### getTimeTo

    public java.util.Date getTimeTo()

  - ### setTimeTo

    public void setTimeTo​(java.util.Date timeTo)

  - ### getUserId

    public int getUserId()

  - ### setUserId

    public void setUserId​(int userId)

  - ### getActivationModeId

    public int getActivationModeId()

  - ### setActivationModeId

    public void setActivationModeId​(int activationMode)

  - ### getActivationPrice

    public java.math.BigDecimal getActivationPrice()
    Предустановленная цена (не из тарифа).
    Returns:

  - ### setActivationPrice

    public void setActivationPrice​(java.math.BigDecimal activationCost)

  - ### getActivationTime

    public java.util.Date getActivationTime()

  - ### setActivationTime

    public void setActivationTime​(java.util.Date activationTime)

  - ### getDeactivationTime

    public java.util.Date getDeactivationTime()

  - ### setDeactivationTime

    public void setDeactivationTime​(java.util.Date deactivationTime)

  - ### getProductSpecId

    public int getProductSpecId()

  - ### getProductSpecTitle

    public java.lang.String getProductSpecTitle()

  - ### getDeviceProductId

    public java.lang.String getDeviceProductId()

  - ### setDeviceProductId

    public void setDeviceProductId​(java.lang.String deviceProductId)

  - ### getDeviceState

    public short getDeviceState()

  - ### setDeviceState

    public void setDeviceState​(short deviceState)

  - ### getComment

    public java.lang.String getComment()

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### getDescription

    public java.lang.String getDescription()

  - ### setDescription

    public void setDescription​(java.lang.String description)

  - ### getServiceList

    public java.util.List<Service> getServiceList()

  - ### setServiceList

    public void setServiceList​(java.util.List<Service> serviceList)

  - ### getSubscriptionTimeTo

    public java.util.Date getSubscriptionTimeTo()

  - ### setSubscriptionTimeTo

    public void setSubscriptionTimeTo​(java.util.Date subscriptionTimeTo)

  - ### getSubscriptionTimeFrom

    public java.util.Date getSubscriptionTimeFrom()

  - ### setSubscriptionTimeFrom

    public void setSubscriptionTimeFrom​(java.util.Date subscriptionTimeFrom)

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `Id`

  - ### clone

    public Product clone()
    Overrides:
      `clone` in class `java.lang.Object`